ndiswrapper issues - Redhat

This is a discussion on ndiswrapper issues - Redhat ; Hello All, I'm using Fedora Core 6 with kernel version 2.6.20-1.2933.fc6 on a Toshiba Satellite A40-151 Laptop. I have a linksys WPC11 ver 4 wireless card. I've been going through the configuration steps for the card that I found here ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: ndiswrapper issues

  1. ndiswrapper issues

    Hello All,

    I'm using Fedora Core 6 with kernel version 2.6.20-1.2933.fc6 on a
    Toshiba Satellite A40-151 Laptop. I have a linksys WPC11 ver 4
    wireless card. I've been going through the configuration steps for
    the card that I found here

    http://ndiswrapper.sourceforge.net/m...p/Installation

    Everything seems to be going fine until I get to the step "modprobe
    ndiswrapper". At that point I get this error.

    FATAL: Error inserting ndiswrapper (/lib/modules/2.6.20-1.2933.fc6/
    misc/ndiswrapper.ko): Invalid module format

    When I look in /var/log/messages I see this line.

    Apr 1 12:05:57 localhost kernel: ndiswrapper: version magic
    '2.6.20-1.2933.fc6 SMP mod_unload 686 4KSTACKS ' should be
    '2.6.20-1.2933.fc6 SMP mod_unload 586 4KSTACKS '

    I've done some searching for both errors. I get many hits for the
    invalid module format but I get nothing for the 4KSTACKS error.

    I am curious. Does the SMP mean I am using a kernel compiled for a
    symmetric multi processor? Because as far as I know I've only got a
    single processor. I'm at a loss as to what to do at this point. Any
    help at all would be greatly appreciated.

    v/r

    Rob


  2. Re: ndiswrapper issues

    rob wrote:
    > Hello All,
    >
    > I'm using Fedora Core 6 with kernel version 2.6.20-1.2933.fc6 on a
    > Toshiba Satellite A40-151 Laptop. I have a linksys WPC11 ver 4
    > wireless card. I've been going through the configuration steps for
    > the card that I found here
    >
    > http://ndiswrapper.sourceforge.net/m...p/Installation
    >
    > Everything seems to be going fine until I get to the step "modprobe
    > ndiswrapper". At that point I get this error.
    >
    > FATAL: Error inserting ndiswrapper (/lib/modules/2.6.20-1.2933.fc6/
    > misc/ndiswrapper.ko): Invalid module format
    >
    > When I look in /var/log/messages I see this line.
    >
    > Apr 1 12:05:57 localhost kernel: ndiswrapper: version magic
    > '2.6.20-1.2933.fc6 SMP mod_unload 686 4KSTACKS ' should be
    > '2.6.20-1.2933.fc6 SMP mod_unload 586 4KSTACKS '
    >
    > I've done some searching for both errors. I get many hits for the
    > invalid module format but I get nothing for the 4KSTACKS error.
    >
    > I am curious. Does the SMP mean I am using a kernel compiled for a
    > symmetric multi processor? Because as far as I know I've only got a
    > single processor. I'm at a loss as to what to do at this point. Any
    > help at all would be greatly appreciated.
    >
    > v/r
    >
    > Rob
    >

    FC6 uses a single kernel for both UP and SMP machines, so yes you are
    running an SMP capable kernel. This was one of the enhancements in FC6.
    Why not install ndiswrapper from either livna or atrpms, where they
    are compiled for FC6.

    ndiswrapper-kmdl-2.6.20-1.2933.fc6-1.37-6.fc6.at

    or

    ndiswrapper-1.38-1.lvn6

    Ken

+ Reply to Thread